Debian Bug report logs - #384613
jikes-gij do not find libgcj jar file with libgcj7-jar

version graph

Package: jikes-gij; Maintainer for jikes-gij is (unknown);

Reported by: Nicolas Duboc <nduboc@debian.org>

Date: Fri, 25 Aug 2006 13:03:06 UTC

Severity: grave

Tags: fixed, patch

Found in version jikes/1:1.22-4

Fixed in versions 1:1.22-5.1, jikes/1:1.22-6

Done: Adam Majer <adamm@zombino.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Majer <adamm@zombino.com>:
Bug#384613; Package jikes-gij. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Duboc <nduboc@debian.org>:
New Bug report received and forwarded. Copy sent to Adam Majer <adamm@zombino.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Duboc <nduboc@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jikes-gij do not find libgcj jar file with libgcj7-jar from experimental (4.1.1-11j1)
Date: Fri, 25 Aug 2006 14:44:35 +0200
[Message part 1 (text/plain, inline)]
Package: jikes-gij
Version: 1:1.22-4
Severity: minor
Tags: patch

  The libgcj7-jar 4.1.1-11j1 (currently in experimental) includes a file
/usr/share/java/libgcj-tools-4.1.2.jar.

  jikes-gij takes this file for its bootclasspath instead of
libgcj-4.1.2.jar

  Here is a small patch on /usr/bin/jikes-gij which corrects the
problem:
-------------------
--- /usr/bin/jikes-gij  2006-02-11 22:58:48.000000000 +0100
+++ /home/nico/jikes-gij        2006-08-25 14:23:12.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-CLASS="`ls -1r /usr/share/java/libgcj-*.jar 2> /dev/null | grep -m 1 lib`"
+CLASS="`ls -1r /usr/share/java/libgcj-*.jar 2> /dev/null | grep -m 1 libgcj-[[:alpha:]]`"
 
 if [ -r "$CLASS" ]; then
        jikes -bootclasspath "$CLASS" "$@"
-------------------

(Severity minor because this version of libgcj7-jar in not yet in
unstable.)


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to fr_FR@euro)

Versions of packages jikes-gij depends on:
ii  java-common                   0.25       Base of all Java packages
ii  jikes                         1:1.22-4   Fast Java compiler adhering to lan
ii  libgcj4                       1:3.3.5-13 Java runtime library for use with 
ii  libgcj4-common                1:3.3.5-13 Java runtime library for use with 
ii  libgcj6-common                4.0.2-5j2  Java runtime library for use with 

jikes-gij recommends no packages.

-- no debconf information

-- 
Nicolas Duboc <nduboc@debian.org>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Majer <adamm@zombino.com>:
Bug#384613; Package jikes-gij. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Duboc <nduboc@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Majer <adamm@zombino.com>. Full text and rfc822 format available.

Message #10 received at 384613@bugs.debian.org (full text, mbox):

From: Nicolas Duboc <nduboc@debian.org>
To: 384613@bugs.debian.org
Subject: Re: jikes-gij do not find libgcj jar file with libgcj7-jar from experimental (4.1.1-11j1)
Date: Fri, 25 Aug 2006 15:22:40 +0200
[Message part 1 (text/plain, inline)]
On Fri, Aug 25, 2006 at 02:44:35PM +0200, Nicolas Duboc wrote:

> +CLASS="`ls -1r /usr/share/java/libgcj-*.jar 2> /dev/null | grep -m 1 libgcj-[[:alpha:]]`"

  Oops, wrong.

  It's [:digit:] and not [:alpha:]

  Sorry,

-- 
Nicolas Duboc <nduboc@debian.org>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Majer <adamm@zombino.com>:
Bug#384613; Package jikes-gij. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.unipd.it>:
Extra info received and forwarded to list. Copy sent to Adam Majer <adamm@zombino.com>. Full text and rfc822 format available.

Message #15 received at 384613@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.unipd.it>
To: 384613@bugs.debian.org
Cc: control@bugs.debian.org
Subject: jikes-gij bug now affects unstable
Date: Sun, 1 Oct 2006 18:32:46 +0200
severity 384613 grave
thanks

Since the version of libgcj7-jar in unstable now has libgcj-tools-4.1.jar as
well, this bug renders jikes-gij unusable in sid.  For example, from my
pbuilder build log of jython:

...
make[2]: Entering directory `/tmp/buildd/jython-2.1.0/Lib/jxxload_help'
jikes-gij -g -nowarn -target 1.3 --classpath "../..:..:/usr/share/java/libreadline-java.jar:/usr/share/java/servlet-2.3.jar" DiscardHelp.java

Found 1 system error:

*** Semantic Error: You need to modify your classpath, sourcepath, bootclasspath, and/or extdirs setup. Jikes could not find package "java.lang" in:
                /usr/share/java/libgcj-tools-4.1.jar
                ../..
                ..
                /usr/share/java/libreadline-java.jar
                /usr/share/java/servlet-2.3.jar
                .

make[2]: *** [DiscardHelp.class] Error 1
make[2]: Leaving directory `/tmp/buildd/jython-2.1.0/Lib/jxxload_help'
make[1]: *** [subdirs] Error 2
make[1]: Leaving directory `/tmp/buildd/jython-2.1.0'
make: *** [build-stamp] Error 2
-- 
Daniel Schepler



Severity set to `grave' from `minor' Request was from Daniel Schepler <schepler@math.unipd.it> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Andreas Barth <aba@not.so.argh.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nicolas Duboc <nduboc@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 384613-done@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 384613-done@bugs.debian.org
Subject: NMU uploaded
Date: Sat, 14 Oct 2006 22:14:56 +0200
Version: 1:1.22-5.1

Hi,

I uploaded an NMU of your package.

Please see this as help to get the package into a releaseable condition for
etch.

Please find the used diff below.


Cheers,
Andi

diff -ur ../jikes-1.22~/debian/changelog ../jikes-1.22/debian/changelog
--- ../jikes-1.22~/debian/changelog	2006-10-14 22:11:46.002844000 +0200
+++ ../jikes-1.22/debian/changelog	2006-10-14 22:12:46.604820476 +0200
@@ -1,3 +1,10 @@
+jikes (1:1.22-5.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Fix dependency to make the package installable again. Closes: #384613
+
+ -- Andreas Barth <aba@not.so.argh.org>  Sat, 14 Oct 2006 22:12:04 +0200
+
 jikes (1:1.22-5) unstable; urgency=low
 
   * [jikes-gij] Fixed dependencies so the package is installable once
diff -ur ../jikes-1.22~/debian/wrappers/jikes-gij ../jikes-1.22/debian/wrappers/jikes-gij
--- ../jikes-1.22~/debian/wrappers/jikes-gij	2006-10-14 22:11:46.010844000 +0200
+++ ../jikes-1.22/debian/wrappers/jikes-gij	2006-10-14 22:13:40.565127741 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-CLASS="`ls -1r /usr/share/java/libgcj-*.jar 2> /dev/null | grep -m 1 lib`"
+CLASS="`ls -1r /usr/share/java/libgcj-*.jar 2> /dev/null | grep -m 1 libgcj-[[:digit:]]`"
 
 if [ -r "$CLASS" ]; then
 	jikes -bootclasspath "$CLASS" "$@"
-- 
  http://home.arcor.de/andreas-barth/



Tags added: fixed Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adam Majer <adamm@zombino.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nicolas Duboc <nduboc@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 384613-close@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: 384613-close@bugs.debian.org
Subject: Bug#384613: fixed in jikes 1:1.22-6
Date: Mon, 23 Oct 2006 07:17:17 -0700
Source: jikes
Source-Version: 1:1.22-6

We believe that the bug you reported is fixed in the latest version of
jikes, which is due to be installed in the Debian FTP archive:

jikes-gij_1.22-6_all.deb
  to pool/main/j/jikes/jikes-gij_1.22-6_all.deb
jikes_1.22-6.diff.gz
  to pool/main/j/jikes/jikes_1.22-6.diff.gz
jikes_1.22-6.dsc
  to pool/main/j/jikes/jikes_1.22-6.dsc
jikes_1.22-6_i386.deb
  to pool/main/j/jikes/jikes_1.22-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384613@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Majer <adamm@zombino.com> (supplier of updated jikes package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Oct 2006 13:42:47 -0500
Source: jikes
Binary: jikes-gij jikes
Architecture: source i386 all
Version: 1:1.22-6
Distribution: unstable
Urgency: medium
Maintainer: Adam Majer <adamm@zombino.com>
Changed-By: Adam Majer <adamm@zombino.com>
Description: 
 jikes      - Fast Java compiler adhering to language and VM specifications
 jikes-gij  - Wrapper for jikes using GNU GIJ classes
Closes: 230601 384613
Changes: 
 jikes (1:1.22-6) unstable; urgency=medium
 .
   * Acknowledge the NMU by Ansreas. Thanks! (closes: #384613)
   * Fixed changelog entry -5 to properly close the bug.
   * Applied a patch for Arm that fixes the unique
     bigendian/little-endian double/word situation on this
     architecture. Big thanks to Ben Hutchings for providing the patch
     (closes: #230601)
   * Urgency medium as it fixes a long standing bug on Arm that made
     jikes unusable with floating point operations on that
     architecture.
   * Removed -O1 compiler workaround for m68k
Files: 
 cfd3a161136b1e77f14aacffc976d803 561 devel optional jikes_1.22-6.dsc
 18acb57ea786f1ee56ba04205566ec18 13638 devel optional jikes_1.22-6.diff.gz
 6a14e6cdef18a1bb6e2dd9f09edb2619 1508 devel optional jikes-gij_1.22-6_all.deb
 332a6b4bfd9024d5c4d33c22a92fff4d 685656 devel optional jikes_1.22-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFPMtc73/bNdaAYUURAtRoAKDgHiZMYOe+IkAOI4Wl24MGXZaXZgCghewd
sI/avtaZiRqLQKMgy6h6UNY=
=LBc1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 15:55:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:14:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.